
Infrastructure - Task #2225

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Remove the contains field form the solr index.

2012-01-17 15:50 - Dave Vieglais

Status: Closed Start date: 2012-01-17

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The "contains" field of the SOLR index is meant to indicate which objects appear in a resource map, however this information is

redundant with the values present in the "resourceMaps" field that is populated for data and metadata objects.

Since the index entries for data and metadata need to be updated when indexing resource maps, it is simplest to remove the

"contains" field so that one less record is updated during resource map processing. This means that no changes will be made to

resourcemap index entries when being processed, only changes to the index entries referenced by the resource map will be made.

History

#1 - 2012-01-17 19:45 - Skye Roseboom

- Status changed from New to In Progress

working in conjunction with #2184.

#2 - 2012-01-20 14:37 - Skye Roseboom

- Status changed from In Progress to Closed

Removed contains from index solr schema.  Removed contains from resource map parsing logic - to keep contains from being filled into solr update.
